package agilpizza;

import static org.junit.Assert.*;

import org.junit.Before;
import org.junit.Test;

import agilpizza.selenium.SeleniumTestCase;

public class ListaDeBebidasTest extends SeleniumTestCase {

	@Before
	public void entrarNaPagina() {
		sel.open(CONTEXTO);
		sel.clickAndWait("listaDeBebidas");
	}
	
	@Test
	public void testCategorias() {
		assertTrue(sel.isTextPresent("Refrigerantes"));
		assertTrue(sel.isTextPresent("Cervejas"));
		assertTrue(sel.isTextPresent("Águas"));
	}
	
	@Test
	public void testBebidas() {
		assertTrue(sel.isTextPresent("Coca"));
		assertTrue(sel.isTextPresent("Erdinger"));
		assertTrue(sel.isTextPresent("Lindoya"));
		
		assertTrue(sel.isElementPresent("idErdingergde"));
		assertTrue(sel.isElementPresent("idCoca-Colapeq"));
		assertTrue(sel.isElementPresent("idLindoyapeq"));
	}
}
